Description

For the moment, when you use GRASS algorithms, you can only export to shapefiles.

Other Processing algorithms (QGIS ones for example) support the following formats:

    -  SHP

    -  DXF

    -  ODS

    -  GXT

    -  XLSX

    -  GML

    -  GEOJSON

    -  GPKG

    -  TAB

    -  CSV

    -  ITF

    -  XML

    -  DGN

    -  BNA

    -  KML

    -  GPX

    -  SQLite

    -  ITF

    -  000

GRASS algorithms should support those formats too.

The file selector should be the same than for the other Processing algorithms (where you can select the file format).

History

#1 - 2016-03-16 01:17 AM - R. R.

For some GRASS GIS 7 commands (e.g. v.overlay) a 'Modify input layer' option may be helpful.

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-11-28 07:58 AM - Alexander Bruy

- Description updated

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes
Pull-request https://github.com/qgis/QGIS/pull/5726

#4 - 2018-05-16 12:55 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Fixed in master.
